---
schema_version: "1"
id: 51b7d3ef0d75492c923c08293ec27c126b8e914c8ee3205c10160f83d257268d
title: POST /interaction/v1/interactions/stop/{definitionId}?versionNumber={versionNumber}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/postStopInteractionById.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/postStopInteractionById.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: f9d91a669326272fd9d17626012a628fbdb4573d6b3a7e0bd76dc0716159b810
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /interaction/v1/interactions/stop/{definitionId}?versionNumber={versionNumber}

## Overview

Stops a running journey. To call this resource, assign your API Integration the Automation | Interactions | Read scope.

### URL Parameters

<!--complex table-->

| Name              | Type    |              | Description                                                            |
| ----------------- | ------- | ------------ | ---------------------------------------------------------------------- |
| **id**            | string  | **Required** | The ID of the journey to stop, expressed in the form of a GUID (UUID). |
| **versionNumber** | integer | **Required** | The version number of the journey to stop                              |

### Usage

#### Example Request

This request stops the journey specified by the ID request parameter. Only the versionNumber specified in the versionNumber QUERY Parameter is stopped. A complete request requires you to provide a valid versionNumber.

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /interaction/v1/interactions/stop/{definitionId}?versionNumber={versionNumber}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

#### Response: No Errors

```js
HTTP/1.1 200
```

#### Response: Server Error

```js
HTTP/1.1 500
{
    "documentation": "",
    "errorcode": 500,
    "message": "Internal Server Error"
}
```

#### Response: Missing Version Number

```js
HTTP/1.1 400
{
    "message": "Version number required.",
    "errorcode": 10005,
    "documentation": ""
}
```

#### Response: Invalid Id

```js
HTTP/1.1 400
{
    "message": "Must provide a valid ID or Key parameter",
    "errorcode": 10005,
    "documentation": ""
}
```

#### Response: Runtime Error

```js
HTTP/1.1 400
{
    "message": "{{{ERROR_OPEN_SUPPORT_CASE}}}",
    "errorcode": 30000,
    "documentation": ""
}
```

#### Response: Empty or Incorrect Authorization Token

```js
HTTP/1.1 401
{
    "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
    "errorcode": 0,
    "message": "Not Authorized"
}
```

#### Response: Id Not Corresponding to a Journey That Can Be Stopped

```js
HTTP/1.1 404
{
    "message": "Published/Paused/Unpublished interaction matching criteria not found.",
    "errorcode": 30003,
    "documentation": ""
}
```
